<style scoped="">
.documents{
  background-color: #fff;
  padding-bottom: 110px;
  padding-top: 60px;
}
.documents_title{
  font-size: 36px;
  line-height: 1;
  color: #353556;
  padding-bottom: 55px;
  text-align: center;
}

.documents_list_ct{
  display: flex;
  align-items: center;
  justify-content: center;
}
.documents_list_ct li{
  list-style: none;
  padding: 12px;
  height: 475px;
  width: 320px;
  box-sizing: border-box;
  position: relative;
  background-color: #fff;
  margin-right: 70px;
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.1607843137254902);
}
.documents_list_ct li:last-child{
  margin-right: 0px;
}
.documents_list_ct li .document_item_pic_ct{
  /*height: 173px;*/
  background-color: #eee;
  display: flex;
  align-items: center;
  justify-content: center;
}
.documents_list_ct li .document_item_pic_ct img{
  display: block;
  max-width: 100%;
}
.documents_list_ct li .document_item_tag{
  color: #717188;
  font-size: 16px;
  line-height: 1;
  padding-top: 20px;
  padding-bottom: 15px;
}
.documents_list_ct li .document_item_title{
  font-size: 24px;
  line-height: 1;
  padding-top: 37px;
  padding-bottom: 20px;
  font-weight: bold;
}
.documents_list_ct li .document_item_content{
  color: #717188;
  font-size: 16px;
  line-height: 24px;
}
.documents_list_ct li .view_document{
  display: flex;
  position: absolute;
  bottom: 20px;
  left: 10px;
  right: 10px;
  padding: 10px 0px;
  /*background-color: #ddd;*/
  color: #0D5EE5;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}
.documents_list_ct li .view_document:hover{
  /*background-color: #eee;*/
  opacity: 0.9;
}
.documents_list_ct li .view_document .view_document_icon{
  display: block;
  width: 20px;
  height: 15px;
  background-image: url('../assets/images/查看更多@2x.png');
  background-repeat: no-repeat;
  background-size: contain;
}
.service_list>li{
  list-style: none;
  box-shadow: none;
  height: auto;
  line-height: 24px;
  padding: 11px 0px;
  width: 100%;
  font-size: 16px;
  display: flex;
  align-items: center;
}
.list_circle{
  border-radius: 10px;
  width: 6px;
  height: 6px;
  background-color: #3B72F6;
  margin-right: 6px;
}
.service_list>li a{
  color: #3B72F6;
  font-weight: bold;
}
@media (max-width: 800px){
  .documents_list_ct{
    flex-wrap: wrap;
  }
  .documents_list_ct li{
    width: 100%;
    box-sizing: border-box;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    height: auto;
  }
  .documents_list_ct li .document_item_pic_ct{
    overflow: hidden;
  }
  .documents_list_ct li .document_item_tag{
    font-size: 13px;
  }
  .documents_list_ct li .view_document{
    position: relative;
    padding: 0px;
    top: auto;
    bottom: auto;
    left: auto;
    margin-left: 10px;
    margin-top: 10px;
  }
  .documents_list_ct li .document_item_title{
    font-size: 18px;
  }
  .documents_title{
    font-size: 20px;
    padding-bottom: 30px;
  }
  .documents{
    padding-top: 30px;
  }
  .documents_list_ct li:last-child{
    margin-right: 10px;
  }
}
</style>
<template>
  <div class="documents">
    <h2 class="documents_title">
      {{ title }}
    </h2>
    <ul class="documents_list_ct">

      <li v-for="item in data">
        <div class="document_item_pic_ct">
          <img :src="item.src">
        </div>
        <!-- <div class="document_item_tag">
          产业区块链综合平台
        </div> -->
        <div class="document_item_title">{{ item.title }}</div>
        <div class="document_item_content">
          {{ item.content }}        
        </div>
      </li>

    </ul>
  </div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
export default {
  data () {
    return {
      lang
    }
  },

  props: {
    title: {
      type: String,
      default () {
        return ''
      }
    },
    data: {
      type: Array,
      default () {
        return [
          {
            title: 'hello',
            content: `通过定制化的区块链技术解决企业、机构
          业务需求，帮助企业搭建区块链平台，
          提供专业的一站式区块链解决方案。`,
            src: '产业区块链综合平台@2x.png'
          }
        ]
      }
    }
  },

  methods: {

  }
}
</script>